<?php

namespace Drupal\colorblind\Plugin\Block;

use Drupal\Core\Block\BlockBase;

/**
 * Provides a 'ColorblindFilter' Block.
 *
 * @Block(
 *   id = "colorblind_filter_block",
 *   admin_label = @Translation("Colorblind Filter Selection"),
 *   category = @Translation("Design"),
 * )
 */
class ColorblindFilter extends BlockBase {

  /**
   * {@inheritdoc}
   */
  public function build() {
    return [
      '#theme' => 'colorblind_filter_block',
      '#attached' => [
        'library' => ['colorblind/color-blind'],
      ],
    ];
  }

}
